<template>
    <div id="remainingCards" class="text-center">
        <h4>Remainig cards</h4>
        <div class="row text-center">
            <br />
            <div class="column d-flex justify-content-center" v-for="card in cards" :key="card">
                <img class="card" v-bind:src="getCard(card)" alt="mypic"/> 
            </div>
        </div>
    </div>
</template>
<script>
    import axios from 'axios';
    export default {
        name: 'remainingCards',
        props: ['playerId'],
        data: function () {
            return {
                cards: [],
            }
        },
        methods: {
            getCard(filename) {
                return require('../assets/' + filename);
            },
            retrieveCardsInfo() {
                axios.get("https://localhost:44361/api/card/player/" + this.playerId + "/remainingCards")
                    .then(response => this.cards = response.data);
            }
        },
        created: function () {
            this.retrieveCardsInfo();
        }
    }
</script>

<style scoped>
    .card {
        height: 250px;
        display: flex;
    }
    .column {
        float: left;
        width: 33.33%;
        padding: 5px;
    }
    #remainingCards {
        background: #e6d0cf;
    }
</style>